summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Giancarlo Dessi <slack@giand.it>2023-07-28 20:28:22 +0900
committer Andrew Clemons <andrew.clemons@gmail.com>2023-07-28 21:02:44 +0900
commit6c56d5444e221d06086262e5866a436a54900c6e (patch)
tree4a0a4a25ba5c6f3e12923252f4f029f980a56125
parent71b30f5bd7760b8a85607bae4f801e3d5513d9ba (diff)
downloadslackbuilds-6c56d5444e221d06086262e5866a436a54900c6e.tar.gz
slackbuilds-6c56d5444e221d06086262e5866a436a54900c6e.tar.xz
libraries/saga-gis: Updated for version 9.1.0.
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com>
-rw-r--r--libraries/saga-gis/README34
-rw-r--r--libraries/saga-gis/doinst.sh13
-rw-r--r--libraries/saga-gis/readme.txt16
-rw-r--r--libraries/saga-gis/saga-gis.SlackBuild136
-rw-r--r--libraries/saga-gis/saga-gis.info10
-rw-r--r--libraries/saga-gis/slack-desc19
6 files changed, 228 insertions, 0 deletions
diff --git a/libraries/saga-gis/README b/libraries/saga-gis/README
new file mode 100644
index 0000000000..2d8c2dbb1c
--- /dev/null
+++ b/libraries/saga-gis/README
@@ -0,0 +1,34 @@
+System for Automated Geoscientific Analyses (SAGA) is a Geographic
+Information System software with immense capabilities for geodata
+processing and analysis.
+
+SAGA supports the implementation of new functions with an effective
+API. Functions are organised as modules in framework independent
+Module Libraries and can be accessed via SAGA's Graphical User
+Interface or various scripting environments (shell scripts, Python,
+R and so on).
+
+SAGA can use these optional autodetected dependencies enabled if they
+are found in the system:
+libharu, OpenMP, OpenCV, qhull, vigra, pdal, postgresql/postgis,
+libLAS, proj, hdf5. Previous issues given with OpenCV version 4 or
+greater and vigra seem solved in last versions of SAGA.
+
+WARNINGS:
+1) Unlike earlier versions of SAGA, the build of last versions
+ requires wxGTK3 => 3.1 that is not available in Slackbuilds.org at
+ the moment. If you want to build this version of SAGA you have to
+ install the package wxWidgets (also available in Slackbuilds.org).
+2) SAGA requires an ODBC driver in the system. It works both with
+ iODBC (installed with the libiodbc package (included in Slackware
+ 15.0) and unixODBC (installed from the SBo's slackbuild). The build
+ first searches for unixODBC then for iODBC. It fails if any driver
+ is found. These drivers are in conflict so, if you have installed
+ and then removed unixODBC, please make sure to reinstall libiodbc.
+ You should also consider that a package prebuilt in a Slackware
+ with unixODBC should not be installed in a system with iODBC (and
+ vice versa).
+3) unixODBC is a required dependency in 32 bit systems: the source
+ code of SAGA conflicts with the code of a libiodbc header
+ (/usr/include/iodbcunix.h) and the build fails. This issue can be
+ overcome by installing unixODBC from the SBo's slackbuild.
diff --git a/libraries/saga-gis/doinst.sh b/libraries/saga-gis/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/libraries/saga-gis/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/libraries/saga-gis/readme.txt b/libraries/saga-gis/readme.txt
new file mode 100644
index 0000000000..8db127dce9
--- /dev/null
+++ b/libraries/saga-gis/readme.txt
@@ -0,0 +1,16 @@
+Dear SAGA friends, users, and all others interested in SAGA,
+
+we like to announce the release of SAGA version 9.1.0.
+
+The files you find here:
+- 'readme.txt': this file
+- 'saga_9.1.0_src.zip': source code (zip)
+- 'saga_9.1.0.tar.gz': source code (tarball)
+- 'saga_9.1.0_api_doc.zip': SAGA API documentation for developers (HTML)
+- 'saga_9.1.0_api.chm': SAGA API documentation for developers (Microsoft compiled HTML help file)
+- 'saga_9.1.0_x64.zip': binaries for MS-Windows (64bit), just unzip and run!
+- 'saga_9.1.0_x64_setup.exe': installer for MS-Windows (64bit), needs administrator rights
+- 'saga-9.1.0_mac.zip': macOS app bundle (experimental)
+
+And now enjoy the world of SAGA,
+your SAGA Development Team \ No newline at end of file
diff --git a/libraries/saga-gis/saga-gis.SlackBuild b/libraries/saga-gis/saga-gis.SlackBuild
new file mode 100644
index 0000000000..2aeb64d56b
--- /dev/null
+++ b/libraries/saga-gis/saga-gis.SlackBuild
@@ -0,0 +1,136 @@
+#!/bin/bash
+
+# Slackware build script for saga-gis
+
+# Copyright 2023 Giancarlo Dessi, Cagliari, IT
+# Copyright 2014-2021 Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=saga-gis
+VERSION=${VERSION:-9.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+SRCNAM=saga
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# issues with -O2 causing build failures
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS=""
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+# unixODBC is needed in 32 bit systems instead of libiodbc released
+# with Slackware 15.0. The slackbuild stops if unixODBC is not installed
+if [[ "$ARCH" = "i586" || "$ARCH" = "i686" ]] ; then
+ if ! [ -f /usr/lib/libodbc.so ] ; then
+ echo "";
+ echo "";
+ echo "";
+ echo "******************** WARNING *********************";
+ echo " This script cannot be executed in 32 bit systems ";
+ echo " with iODBC as default ODBC library installed. ";
+ echo " The current process will be stopped. ";
+ echo " Please install the unixODBC package from the ";
+ echo " slackbuild available in the SBo repository. ";
+ echo "**************************************************";
+ exit 1;
+ fi
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION/saga-gis
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_MANDIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# DCMAKE_INSTALL_MANDIR is not applied by the process we move files manually from /usr/share
+mv $PKG/usr/share/man $PKG/usr/
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mv $PKG/usr/share/metainfo $PKG/usr/share/appdata
+
+# fix some bad perms in doc files that have to install
+chmod 644 readme.md src/*.txt
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a readme.md src/gpl.txt src/lgpl.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/saga-gis/saga-gis.info b/libraries/saga-gis/saga-gis.info
new file mode 100644
index 0000000000..ce95f10e9b
--- /dev/null
+++ b/libraries/saga-gis/saga-gis.info
@@ -0,0 +1,10 @@
+PRGNAM="saga-gis"
+VERSION="9.1.0"
+HOMEPAGE="http://www.saga-gis.org"
+DOWNLOAD="https://sourceforge.net/projects/saga-gis/files/SAGA%20-%209/SAGA%20-%209.1.0/saga-9.1.0.tar.gz/download"
+MD5SUM="c35d7b22ca1cf4624e6bd448d98fba4a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="wxWidgets"
+MAINTAINER="Giancarlo Dessi"
+EMAIL="slack@giand.it"
diff --git a/libraries/saga-gis/slack-desc b/libraries/saga-gis/slack-desc
new file mode 100644
index 0000000000..600df681b5
--- /dev/null
+++ b/libraries/saga-gis/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+saga-gis: saga-gis (Geographic Information System)
+saga-gis:
+saga-gis: System for Automated Geoscientific Analyses (SAGA) is a Geographic
+saga-gis: Information System (GIS) software with immense capabilities for
+saga-gis: geodata processing and analysis.
+saga-gis:
+saga-gis:
+saga-gis:
+saga-gis:
+saga-gis:
+saga-gis: